Bug 664980

Summary: Review Request: perl-Test-TCP - Testing TCP program
Product: [Fedora] Fedora Reporter: Ralf Corsepius <rc040203>
Component: Package ReviewAssignee: Marcela Mašláňová <mmaslano>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, jose.p.oliveira.oss, notting
Target Milestone: ---Flags: gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-01-09 12:35:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 667873    
Bug Blocks: 665005, 665081    

Description Ralf Corsepius 2010-12-22 11:17:17 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Test-TCP.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Test-TCP-1.11-1.fc15.noarch.rpm

Description:
Test::TCP is test utilities for TCP/IP program.

Comment 1 Marcela Mašláňová 2011-01-06 14:00:54 UTC
I used srpm from your webpage...

- rpmlint OK
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
^ http://koji.fedoraproject.org/koji/taskinfo?taskID=2704580
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

rpm -qp --provides perl-Test-TCP-1.11-1.fc15.noarch.rpm 
perl(Test::TCP) = 1.11
perl-Test-TCP = 1.11-1.fc15
rpm -qp --requires perl-Test-TCP-1.11-1.fc15.noarch.rpm 
perl >= 0:5.00800
perl(:MODULE_COMPAT_5.12.2)  
perl(Carp)  
perl(Config)  
perl(IO::Socket::INET)  
perl(POSIX)  
perl(Test::More)  
perl(Test::SharedFork) >= 0.12
perl(Time::HiRes)  
perl(base)  
perl(strict)  
perl(warnings)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rpmlib(PayloadIsXz) <= 5.2-1

ACCEPT

Comment 2 Marcela Mašláňová 2011-01-06 14:07:51 UTC
On F-14 will be needed update of Test::SharedFork to 0.14 for this package.

Comment 3 Ralf Corsepius 2011-01-07 03:51:10 UTC
(In reply to comment #1)
> ACCEPT

Thanks.

(In reply to comment #2)
> On F-14 will be needed update of Test::SharedFork to 0.14 for this package.

Yep. Another de-facto orphaned cweyl perl module. I've just added myself as (co-) maintainer and plan to look into upgrading it on Fedora < 15.

Comment 4 Ralf Corsepius 2011-01-07 03:57:16 UTC
New Package SCM Request
=======================
Package Name: perl-Test-TCP
Short Description: Testing TCP program
Owners: corsepiu
Branches: f13 f14
InitialCC: perl-sig

Comment 5 Jason Tibbitts 2011-01-07 17:29:07 UTC
Since this package already exists, you cannot file a new package request for it.  If you want additional branches or want us to change something, please either file a change request or tell us what you need changed.

Comment 6 Ralf Corsepius 2011-01-09 12:01:33 UTC
(In reply to comment #5)
> Since this package already exists, you cannot file a new package request for
> it.  If you want additional branches or want us to change something, please
> either file a change request or tell us what you need changed.

Urgh, somebody could have pointed out perl-Test-TCP already exists - I wasn't aware about this - I have just requested ownership.

Comment 7 Jose Pedro Oliveira 2011-08-10 22:38:33 UTC
Package Change Request
======================
Package Name: perl-Test-TCP
New Branches: el6
Owners: jpo
InitialCC: perl-sig

[perl-Dancer requirement chain - see bug 729504]

Comment 8 Gwyn Ciesla 2011-08-11 08:19:23 UTC
Git done (by process-git-requests).